%global release_name icehouse
%global release_letter b
%global milestone 2
%global full_release ironic-%{version}.%{release_letter}%{milestone}

%global with_doc %{!?_without_doc:1}%{?_without_doc:0}

Name:		openstack-ironic
Summary:	OpenStack Baremetal Hypervisor API (ironic)
Version:	2014.1
Release:	0.4.%{release_letter}%{milestone}%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		http://www.openstack.org
Source0:	https://launchpad.net/ironic/%{release_name}/%{release_name}-%{milestone}/+download/%{full_release}.tar.gz
Provides:	ironic

Source1:        ironic.logrotate
Source2:        openstack-ironic-api.init
Source3:        openstack-ironic-conductor.init

BuildArch: noarch
BuildRequires: python-setuptools
BuildRequires: python-pbr
BuildRequires: python-devel
BuildRequires: openssl-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: gmp-devel
BuildRequires: python-sphinx

Requires: swig
Requires: python-pbr
Requires: python-eventlet
Requires: python-fixtures
Requires: python-iso8601
Requires: python-jsonpatch
Requires: python-kombu
Requires: python-anyjson
Requires: python-migrate
Requires: python-mock
Requires: python-netaddr
Requires: python-paramiko
Requires: python-pecan
Requires: pyflakes
Requires: python-stevedore
Requires: python-wsme
Requires: pycrypto
Requires: python-sqlalchemy
Requires: python-neutronclient
Requires: python-glanceclient
Requires: python-keystoneclient
Requires: python-jinja2



%prep
%setup -q -n %{full_release}

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

#Are these actaully required? 
mkdir -p %{buildroot}/var/log/ironic
mkdir -p %{buildroot}/var/run/ironic
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-ironic

# install init scripts
install -p -D -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/openstack-ironic-api
install -p -D -m 755 %{SOURCE3} %{buildroot}%{_initrddir}/openstack-ironic-conductor

mkdir -p %{buildroot}/var/lib/ironic/
mkdir -p %{buildroot}/etc/ironic/rootwrap.d

#Remove all the stuff we don't want to ship - TODO
#rm -f %{buildroot}/%{_bindir}/heat-db-setup
#rm -f %{buildroot}/%{_mandir}/man1/heat-db-setup.*

#Populate the conf dir
install -p -D -m 640 %{_builddir}/%{full_release}/etc/ironic/ironic.conf.sample %{buildroot}/%{_sysconfdir}/ironic/ironic.conf
install -p -D -m 640 %{_builddir}/%{full_release}/etc/ironic/policy.json %{buildroot}/%{_sysconfdir}/ironic/policy.json
install -p -D -m 640 %{_builddir}/%{full_release}/etc/ironic/rootwrap.conf %{buildroot}/%{_sysconfdir}/ironic/rootwrap.conf
install -p -D -m 640 %{_builddir}/%{full_release}/etc/ironic/rootwrap.d/* %{buildroot}/%{_sysconfdir}/ironic/rootwrap.d/


%description
Ironic is a service to manage and provision bare metal servers



%files
/usr/bin/*
/etc/rc.d/init.d/*
%{python_sitelib}/ironic*
%config(noreplace) %attr(-,root,root) /etc/logrotate.d/*
%config %attr(-,root,ironic) /etc/ironic/*
%attr(-,ironic,ironic) /var/log/ironic
%attr(-,ironic,ironic) /var/run/ironic

%pre
# 189:189 for ironic - rhbz required
getent group heat >/dev/null || groupadd -r --gid 189 ironic
getent passwd ironic  >/dev/null || \
useradd --uid 189 -r -g ironic -d %{_sharedstatedir}/ironic -s /sbin/nologin \
-c "OpenStack Ironic Daemons" ironic
exit 0



%changelog
* Fri Feb 14 2014 Angus Thomas <athomas@redhat.com> - 1-1
- Initial package build

